Manifest-Version: 1.0
Bnd-LastModified: 1712088060335
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Search Experiences REST Implementation
Bundle-SymbolicName: com.liferay.search.experiences.rest.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.5.hotfix-5217-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.asset.kernel;version="2.0",com.liferay.ass
 et.kernel.model;version="8.0",com.liferay.object.model;version="5.7",
 com.liferay.object.service;version="20.0",com.liferay.petra.function;
 version="1.5",com.liferay.portal.kernel.exception;version="12.0",com.
 liferay.portal.kernel.json;version="10.1",com.liferay.portal.kernel.l
 anguage;version="10.0",com.liferay.portal.kernel.log;version="7.1",co
 m.liferay.portal.kernel.model;version="16.0",com.liferay.portal.kerne
 l.search;version="13.0",com.liferay.portal.kernel.search.filter;versi
 on="1.0",com.liferay.portal.kernel.search.generic;version="3.0",com.l
 iferay.portal.kernel.security.auth;version="5.0",com.liferay.portal.k
 ernel.security.permission;version="6.1",com.liferay.portal.kernel.sec
 urity.permission.resource;version="2.0",com.liferay.portal.kernel.ser
 vice;version="13.1",com.liferay.portal.kernel.util;version="38.0",com
 .liferay.portal.kernel.webcache;version="6.2",com.liferay.portal.odat
 a.entity;version="2.0",com.liferay.portal.odata.filter;version="1.1",
 com.liferay.portal.odata.filter.expression;version="2.1",com.liferay.
 portal.profile,com.liferay.portal.search.asset;version="1.0",com.life
 ray.portal.search.document;version="1.2",com.liferay.portal.search.hi
 ts;version="1.1",com.liferay.portal.search.index;version="3.5",com.li
 feray.portal.search.searcher;version="1.11",com.liferay.portal.search
 .spi.model.query.contributor;version="1.1",com.liferay.portal.vulcan.
 accept.language;version="1.1",com.liferay.portal.vulcan.batch.engine;
 version="1.3",com.liferay.portal.vulcan.batch.engine.resource;version
 ="1.0",com.liferay.portal.vulcan.dto.converter;version="1.6",com.life
 ray.portal.vulcan.graphql.annotation;version="1.2",com.liferay.portal
 .vulcan.graphql.servlet;version="1.1",com.liferay.portal.vulcan.pagin
 ation;version="1.4",com.liferay.portal.vulcan.resource;version="1.3",
 com.liferay.portal.vulcan.util;version="3.4",com.liferay.search.exper
 iences.blueprint.exception;version="2.0",com.liferay.search.experienc
 es.blueprint.parameter.contributor;version="2.0",com.liferay.search.e
 xperiences.blueprint.search.request.enhancer;version="1.0",com.lifera
 y.search.experiences.exception;version="1.0",com.liferay.search.exper
 iences.model;version="4.1",com.liferay.search.experiences.rest.dto.v1
 _0;version="1.0",com.liferay.search.experiences.rest.dto.v1_0.util;ve
 rsion="1.0",com.liferay.search.experiences.rest.resource.v1_0;version
 ="2.0",com.liferay.search.experiences.service;version="2.2",io.swagge
 r.v3.oas.annotations;version="2.0",io.swagger.v3.oas.annotations.enum
 s;version="2.0",io.swagger.v3.oas.annotations.info;version="2.0",io.s
 wagger.v3.oas.annotations.tags;version="2.0",javax.servlet.http,javax
 .validation.constraints;version="2.0",javax.ws.rs;version="2.1",javax
 .ws.rs.core;version="2.1",org.apache.commons.lang;version="2.6",org.o
 sgi.framework;version="1.8",org.osgi.service.component;version="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Enterprise-App: dxp.only=true;product.id=22b7e30f-34d4-4a63-96
 96-56987ad66e4e
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Enterprise Search Experiences
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.search.experiences.rest.internal.dto.v1_0
 .converter,com.liferay.search.experiences.rest.internal.graphql.mutat
 ion.v1_0,com.liferay.search.experiences.rest.internal.graphql.query.v
 1_0,com.liferay.search.experiences.rest.internal.graphql.servlet.v1_0
 ,com.liferay.search.experiences.rest.internal.jaxrs.application,com.l
 iferay.search.experiences.rest.internal.odata.entity.v1_0,com.liferay
 .search.experiences.rest.internal.resource.v1_0,com.liferay.search.ex
 periences.rest.internal.resource.v1_0.factory,com.liferay.search.expe
 riences.rest.internal.resource.v1_0.util,com.liferay.search.experienc
 es.rest.internal.web.cache,com.liferay.search.experiences.rest.impl.i
 nternal.portal.profile
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.vulcan.dto.converter.DTOConverter,com.liferay.search.experien
 ces.rest.internal.dto.v1_0.converter.SXPBlueprintDTOConverter";uses:=
 "com.liferay.portal.vulcan.dto.converter,com.liferay.search.experienc
 es.rest.internal.dto.v1_0.converter",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.vulcan.dto.converter.DTOConverter,com.lifer
 ay.search.experiences.rest.internal.dto.v1_0.converter.SXPElementDTOC
 onverter";uses:="com.liferay.portal.vulcan.dto.converter,com.liferay.
 search.experiences.rest.internal.dto.v1_0.converter",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.vulcan.graphql.servlet.Serv
 letData";uses:="com.liferay.portal.vulcan.graphql.servlet",osgi.servi
 ce;objectClass:List<String>="com.liferay.search.experiences.rest.inte
 rnal.resource.v1_0.OpenAPIResourceImpl";uses:="com.liferay.search.exp
 eriences.rest.internal.resource.v1_0",osgi.service;objectClass:List<S
 tring>="com.liferay.search.experiences.rest.resource.v1_0.FieldMappin
 gInfoResource";uses:="com.liferay.search.experiences.rest.resource.v1
 _0",osgi.service;objectClass:List<String>="com.liferay.search.experie
 nces.rest.resource.v1_0.FieldMappingInfoResource$Factory";uses:="com.
 liferay.search.experiences.rest.resource.v1_0",osgi.service;objectCla
 ss:List<String>="com.liferay.search.experiences.rest.resource.v1_0.Ke
 ywordQueryContributorResource";uses:="com.liferay.search.experiences.
 rest.resource.v1_0",osgi.service;objectClass:List<String>="com.lifera
 y.search.experiences.rest.resource.v1_0.KeywordQueryContributorResour
 ce$Factory";uses:="com.liferay.search.experiences.rest.resource.v1_0"
 ,osgi.service;objectClass:List<String>="com.liferay.search.experience
 s.rest.resource.v1_0.ModelPrefilterContributorResource";uses:="com.li
 feray.search.experiences.rest.resource.v1_0",osgi.service;objectClass
 :List<String>="com.liferay.search.experiences.rest.resource.v1_0.Mode
 lPrefilterContributorResource$Factory";uses:="com.liferay.search.expe
 riences.rest.resource.v1_0",osgi.service;objectClass:List<String>="co
 m.liferay.search.experiences.rest.resource.v1_0.QueryPrefilterContrib
 utorResource";uses:="com.liferay.search.experiences.rest.resource.v1_
 0",osgi.service;objectClass:List<String>="com.liferay.search.experien
 ces.rest.resource.v1_0.QueryPrefilterContributorResource$Factory";use
 s:="com.liferay.search.experiences.rest.resource.v1_0",osgi.service;o
 bjectClass:List<String>="com.liferay.search.experiences.rest.resource
 .v1_0.SXPBlueprintResource";uses:="com.liferay.search.experiences.res
 t.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.s
 earch.experiences.rest.resource.v1_0.SXPBlueprintResource$Factory";us
 es:="com.liferay.search.experiences.rest.resource.v1_0",osgi.service;
 objectClass:List<String>="com.liferay.search.experiences.rest.resourc
 e.v1_0.SXPElementResource";uses:="com.liferay.search.experiences.rest
 .resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.se
 arch.experiences.rest.resource.v1_0.SXPElementResource$Factory";uses:
 ="com.liferay.search.experiences.rest.resource.v1_0",osgi.service;obj
 ectClass:List<String>="com.liferay.search.experiences.rest.resource.v
 1_0.SXPParameterContributorDefinitionResource";uses:="com.liferay.sea
 rch.experiences.rest.resource.v1_0",osgi.service;objectClass:List<Str
 ing>="com.liferay.search.experiences.rest.resource.v1_0.SXPParameterC
 ontributorDefinitionResource$Factory";uses:="com.liferay.search.exper
 iences.rest.resource.v1_0",osgi.service;objectClass:List<String>="com
 .liferay.search.experiences.rest.resource.v1_0.SearchResponseResource
 ";uses:="com.liferay.search.experiences.rest.resource.v1_0",osgi.serv
 ice;objectClass:List<String>="com.liferay.search.experiences.rest.res
 ource.v1_0.SearchResponseResource$Factory";uses:="com.liferay.search.
 experiences.rest.resource.v1_0",osgi.service;objectClass:List<String>
 ="com.liferay.search.experiences.rest.resource.v1_0.SearchableAssetNa
 meDisplayResource";uses:="com.liferay.search.experiences.rest.resourc
 e.v1_0",osgi.service;objectClass:List<String>="com.liferay.search.exp
 eriences.rest.resource.v1_0.SearchableAssetNameDisplayResource$Factor
 y";uses:="com.liferay.search.experiences.rest.resource.v1_0",osgi.ser
 vice;objectClass:List<String>="com.liferay.search.experiences.rest.re
 source.v1_0.SearchableAssetNameResource";uses:="com.liferay.search.ex
 periences.rest.resource.v1_0",osgi.service;objectClass:List<String>="
 com.liferay.search.experiences.rest.resource.v1_0.SearchableAssetName
 Resource$Factory";uses:="com.liferay.search.experiences.rest.resource
 .v1_0",osgi.service;objectClass:List<String>="javax.ws.rs.core.Applic
 ation";uses:="javax.ws.rs.core",osgi.service;objectClass:List<String>
 ="com.liferay.portal.profile.PortalProfile";uses:="com.liferay.portal
 .profile"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.obj
 ect.service.ObjectDefinitionLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.json.JSONFactory
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.security.permission.PermissionCheckerFactory)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.CompanyLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.GroupLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.ResourceActionLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.Reso
 urcePermissionLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.RoleLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.UserLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.odata.filter.ExpressionConvert)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.odata.filter.FilterParserProvider)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.search.asset.SearchableAss
 etClassNamesProvider)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.search.index.IndexInformation)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.search.i
 ndex.IndexNameBuilder)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.search.searcher.SearchRequestBuilderFactor
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.search.searcher.Searcher)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.vulcan.dto.converter.DTOConverte
 rRegistry)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.vulcan.resource.OpenAPIResource)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.search.experiences.bluep
 rint.parameter.contributor.SXPParameterContributorDefinitionProvider)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.se
 arch.experiences.blueprint.search.request.enhancer.SXPBlueprintSearch
 RequestEnhancer)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.search.experiences.rest.internal.dto.v1_0.converter.SXP
 BlueprintDTOConverter)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.search.experiences.rest.internal.dto.v1_0.convert
 er.SXPElementDTOConverter)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.search.experiences.rest.resource.v1_0.FieldMa
 ppingInfoResource)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.search.experiences.rest.resource.v1_0.KeywordQueryCon
 tributorResource)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.search.experiences.rest.resource.v1_0.ModelPrefilterCo
 ntributorResource)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.search.experiences.rest.resource.v1_0.QueryPrefilterC
 ontributorResource)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.search.experiences.rest.resource.v1_0.SXPBlueprintRe
 source)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.search.experiences.rest.resource.v1_0.SXPElementResource)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.search.ex
 periences.rest.resource.v1_0.SXPParameterContributorDefinitionResourc
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 search.experiences.rest.resource.v1_0.SearchResponseResource)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.search.exp
 eriences.rest.resource.v1_0.SearchableAssetNameDisplayResource)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.search.e
 xperiences.rest.resource.v1_0.SearchableAssetNameResource)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.search.experi
 ences.service.SXPBlueprintLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.search.experiences.service.SXPBl
 ueprintService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.search.experiences.service.SXPElementLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.search.e
 xperiences.service.SXPElementService)";effective:=active,osgi.extende
 r;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version
 >=2.0.0)))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.
 contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=Ja
 vaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.search.experiences.rest.intern
 al.dto.v1_0.converter.SXPBlueprintDTOConverter.xml,OSGI-INF/com.lifer
 ay.search.experiences.rest.internal.dto.v1_0.converter.SXPElementDTOC
 onverter.xml,OSGI-INF/com.liferay.search.experiences.rest.internal.gr
 aphql.servlet.v1_0.ServletDataImpl.xml,OSGI-INF/com.liferay.search.ex
 periences.rest.internal.jaxrs.application.SearchExperiencesRESTApplic
 ation.xml,OSGI-INF/com.liferay.search.experiences.rest.internal.resou
 rce.v1_0.FieldMappingInfoResourceImpl.xml,OSGI-INF/com.liferay.search
 .experiences.rest.internal.resource.v1_0.KeywordQueryContributorResou
 rceImpl.xml,OSGI-INF/com.liferay.search.experiences.rest.internal.res
 ource.v1_0.ModelPrefilterContributorResourceImpl.xml,OSGI-INF/com.lif
 eray.search.experiences.rest.internal.resource.v1_0.OpenAPIResourceIm
 pl.xml,OSGI-INF/com.liferay.search.experiences.rest.internal.resource
 .v1_0.QueryPrefilterContributorResourceImpl.xml,OSGI-INF/com.liferay.
 search.experiences.rest.internal.resource.v1_0.SXPBlueprintResourceIm
 pl.xml,OSGI-INF/com.liferay.search.experiences.rest.internal.resource
 .v1_0.SXPElementResourceImpl.xml,OSGI-INF/com.liferay.search.experien
 ces.rest.internal.resource.v1_0.SXPParameterContributorDefinitionReso
 urceImpl.xml,OSGI-INF/com.liferay.search.experiences.rest.internal.re
 source.v1_0.SearchResponseResourceImpl.xml,OSGI-INF/com.liferay.searc
 h.experiences.rest.internal.resource.v1_0.SearchableAssetNameDisplayR
 esourceImpl.xml,OSGI-INF/com.liferay.search.experiences.rest.internal
 .resource.v1_0.SearchableAssetNameResourceImpl.xml,OSGI-INF/com.lifer
 ay.search.experiences.rest.internal.resource.v1_0.factory.FieldMappin
 gInfoResourceFactoryImpl.xml,OSGI-INF/com.liferay.search.experiences.
 rest.internal.resource.v1_0.factory.KeywordQueryContributorResourceFa
 ctoryImpl.xml,OSGI-INF/com.liferay.search.experiences.rest.internal.r
 esource.v1_0.factory.ModelPrefilterContributorResourceFactoryImpl.xml
 ,OSGI-INF/com.liferay.search.experiences.rest.internal.resource.v1_0.
 factory.QueryPrefilterContributorResourceFactoryImpl.xml,OSGI-INF/com
 .liferay.search.experiences.rest.internal.resource.v1_0.factory.SXPBl
 ueprintResourceFactoryImpl.xml,OSGI-INF/com.liferay.search.experience
 s.rest.internal.resource.v1_0.factory.SXPElementResourceFactoryImpl.x
 ml,OSGI-INF/com.liferay.search.experiences.rest.internal.resource.v1_
 0.factory.SXPParameterContributorDefinitionResourceFactoryImpl.xml,OS
 GI-INF/com.liferay.search.experiences.rest.internal.resource.v1_0.fac
 tory.SearchResponseResourceFactoryImpl.xml,OSGI-INF/com.liferay.searc
 h.experiences.rest.internal.resource.v1_0.factory.SearchableAssetName
 DisplayResourceFactoryImpl.xml,OSGI-INF/com.liferay.search.experience
 s.rest.internal.resource.v1_0.factory.SearchableAssetNameResourceFact
 oryImpl.xml,OSGI-INF/com.liferay.search.experiences.rest.impl.interna
 l.portal.profile.ModulePortalProfile.xml
Tool: Bnd-4.3.0.201909301554

